Subject: Re: tcp RST instead of FIN if child exits after parent closes path
From: Brian White <[email-masked]>
To: Max Bowsher <[email-masked]>
Cc: [email-masked]
Date: Tue, 15 Apr 2003 13:34:39 -0400

> [a good analysis, but the subject says it all, really, once a typo is fixed
> (s/exists/exits)]

Oops!  :-)

> Re: tcp RST instead of FIN if child exits after parent closes path
> 
> This is a bug/feature of Windows Sockets. I think it would be possible to
> craft a workaround in Cygwin, but it would require some non-trivial IPC.
> (IIUC, you would need to maintain a cross-process refcount for the socket).

Hmmm...  From my work with Amanda, the child process can continue to
send data via the socket even after the parent has closed it's handle
on that path, so there must be some sort of reference counting already.

                                          Brian
                                 ( [email-masked] )

-------------------------------------------------------------------------------
Seize the moment!  Live now.  Make "now" always the most important time. -- JLP

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/